Name:           vtable-dumper
Version:        1.1
Release:        1%{?dist}
Summary:        Tool to list content of virtual tables in a C++ shared library

License:        GPL+ or LGPLv2+
URL:            https://github.com/lvc/vtable-dumper
Source0:        https://github.com/lvc/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  elfutils-libelf-devel


%description
Vtable-Dumper is a tool to list content of virtual tables in a C++ shared
library. It is intended for developers of software libraries and maintainers of
Linux distributions who are interested in ensuring backward binary
compatibility.


%prep
%setup -q

# Simple makefile doesn't respect environment variables so cheat it.
sed -i 's|\-Wall|%{optflags} -fPIC -pie -Wl,-z,relro -Wl,-z,now|' Makefile


%build
make


%install
mkdir -p %{buildroot}%{_bindir}
install -pm 0755 %{name} %{buildroot}%{_bindir}/


%files
%{!?_licensedir:%global license %doc}
%license LICENSE
%doc README
%{_bindir}/%{name}


%changelog
* Mon Oct 19 2015 Richard Shaw <hobbes1069@gmail.com> - 1.1-1
- Initial packaging.
